commit:     a592e19dd3ccbe3c10a4a405e4b028d27889b4ae
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 13 18:27:53 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Jun 13 18:27:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a592e19d

app-crypt/certbot: Version bump to 0.15.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 app-crypt/certbot/Manifest              |  1 +
 app-crypt/certbot/certbot-0.15.0.ebuild | 52 +++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-crypt/certbot/Manifest b/app-crypt/certbot/Manifest
index b3219e14976..70a3f57dc7b 100644
--- a/app-crypt/certbot/Manifest
+++ b/app-crypt/certbot/Manifest
@@ -1 +1,2 @@
 DIST certbot-0.14.1.tar.gz 851705 SHA256 
7992fced742649e7b7668e4db7685de12248a4ffba66810cb336e9b6412e3567 SHA512 
309e0e1d071960ae9a5cc4c9f965cc623b68d3d61f69282f21629514553a75af4d384d2c29fd3beee6eb8447c7b6651ce86c33c4f3916876fac7a91a08d2075d
 WHIRLPOOL 
f5a5be776f0a9bb9096a6e8dfa64942bd00583559cba64d3c1a5b991578bb8c7cac5076895e4291e1ec4c8fa767f026a90e0c1312c4f425ffcb5bf08bd0e9e40
+DIST certbot-0.15.0.tar.gz 942788 SHA256 
87d306b1c013b472b8f548b38ccc476c125816435bb3b99e932fed09ac777296 SHA512 
e884b34985a1128ce94d6b2be77af6ee86ded8b870e066f3f4bc22f78501f3f0a51060edcf75a11cd31dd525388adb8ccc4e2da0068b5b75be131d0fb0ca6844
 WHIRLPOOL 
01b172e8c7ac5d3678ee608b36d93f23943bf17f1e9c593cc1af3febcf0549b03961e69e537f099643dd9ee268497f76c2c18d8fa7a1d45753bc50e670375317

diff --git a/app-crypt/certbot/certbot-0.15.0.ebuild 
b/app-crypt/certbot/certbot-0.15.0.ebuild
new file mode 100644
index 00000000000..bb11ccafc1d
--- /dev/null
+++ b/app-crypt/certbot/certbot-0.15.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+CDEPEND=">=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${CDEPEND}
+       ~app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
+       dev-python/configobj[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-1.2[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               >=dev-python/astroid-1.3.5[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/pep8[${PYTHON_USEDEP}]
+               >=dev-python/pylint-1.4.2[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       nosetests -v ${PN} || die
+}

Reply via email to